Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.idsupport
Interface IdSupportService

All Known Implementing Classes:
  IdSupportServiceImpl

    public interface IdSupportService

Provides a way to verify the combination between a ssin and several ways of identifications (isi+, eid, sis number, ...). Default impl : `IdSupportServiceImpl`

Method Summary
`VerifyIdResponse` | `verifyId(String legalContext, Id barcode)` See `verifyId(be.fgov.ehealth.idsupport.protocol.v2.VerifyIdRequest)`.
`VerifyIdResponse` | `verifyId(String legalContext, Id ssin, Id cardNumber)` See `verifyId(be.fgov.ehealth.idsupport.protocol.v2.VerifyIdRequest)`.
`VerifyIdResponse` | `verifyId(VerifyIdRequest request)` Verify a combination between elements of the request.

Method Detail

### verifyId

    VerifyIdResponse verifyId(VerifyIdRequest request)
                              throws TechnicalConnectorException

  Verify a combination between elements of the request.

  Parameters:
    `request` - - the request to use
  Returns:
    the validation result (true, false), and when it's invalid the cause of the validation failure if there's one
  Throws:
    `TechnicalConnectorException`

### verifyId

    VerifyIdResponse verifyId(String legalContext,
                              Id ssin,
                              Id cardNumber)
                              throws TechnicalConnectorException

  See `verifyId(be.fgov.ehealth.idsupport.protocol.v2.VerifyIdRequest)`.

  Parameters:
    `legalContext` - - the legal context
    `ssin` - - the ssin
    `cardNumber` - - the cardnumber (eg.:isi, eid, sis)
  Throws:
    `TechnicalConnectorException`

### verifyId

    VerifyIdResponse verifyId(String legalContext,
                              Id barcode)
                              throws TechnicalConnectorException

  See `verifyId(be.fgov.ehealth.idsupport.protocol.v2.VerifyIdRequest)`.

  Parameters:
    `legalContext` - - the legal context
    `barcode` - - the barcode
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.